package com.bocloud.cmp.model.kubernetes;

import java.util.Map;

/**
 * 副本集
 *
 * @author ymh
 * @时间 2019年10月16日
 */
public class ReplicaModel {
    private String instanceId;
    private String name;
    private String remark;
    private String status;
    private String apiVersion;
    private String yamlText;
    private String annotations;
    private String kind;
    private String labels;
    private String namespace;
    private Map<String, String> labelsMap;
    private String resourceKind;
    private String uid;
    private String parentResourceUid;
    private String parentResourceType;
    private String parentResourceName;
    private String parentResourceVersion;
    private String requestsCpu;
    private String limitsCpu;
    private String requestsMemory;
    private String limitsMemory;

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getAnnotations() {
        return annotations;
    }

    public void setAnnotations(String annotations) {
        this.annotations = annotations;
    }

    public String getKind() {
        return kind;
    }

    public void setKind(String kind) {
        this.kind = kind;
    }

    public String getLabels() {
        return labels;
    }

    public void setLabels(String labels) {
        this.labels = labels;
    }

    public Map<String, String> getLabelsMap() {
        return labelsMap;
    }

    public void setLabelsMap(Map<String, String> labelsMap) {
        this.labelsMap = labelsMap;
    }

    public String getNamespace() {
        return namespace;
    }

    public void setNamespace(String namespace) {
        this.namespace = namespace;
    }

    public String getResourceKind() {
        return resourceKind;
    }

    public void setResourceKind(String resourceKind) {
        this.resourceKind = resourceKind;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getParentResourceUid() {
        return parentResourceUid;
    }

    public void setParentResourceUid(String parentResourceUid) {
        this.parentResourceUid = parentResourceUid;
    }

    public String getParentResourceType() {
        return parentResourceType;
    }

    public void setParentResourceType(String parentResourceType) {
        this.parentResourceType = parentResourceType;
    }

    public String getParentResourceName() {
        return parentResourceName;
    }

    public void setParentResourceName(String parentResourceName) {
        this.parentResourceName = parentResourceName;
    }

    public String getParentResourceVersion() {
        return parentResourceVersion;
    }

    public void setParentResourceVersion(String parentResourceVersion) {
        this.parentResourceVersion = parentResourceVersion;
    }

    public String getApiVersion() {
        return apiVersion;
    }

    public void setApiVersion(String apiVersion) {
        this.apiVersion = apiVersion;
    }

    public String getYamlText() {
        return yamlText;
    }

    public void setYamlText(String yamlText) {
        this.yamlText = yamlText;
    }

    public String getRequestsCpu() {
        return requestsCpu;
    }

    public void setRequestsCpu(String requestsCpu) {
        this.requestsCpu = requestsCpu;
    }

    public String getLimitsCpu() {
        return limitsCpu;
    }

    public void setLimitsCpu(String limitsCpu) {
        this.limitsCpu = limitsCpu;
    }

    public String getRequestsMemory() {
        return requestsMemory;
    }

    public void setRequestsMemory(String requestsMemory) {
        this.requestsMemory = requestsMemory;
    }

    public String getLimitsMemory() {
        return limitsMemory;
    }

    public void setLimitsMemory(String limitsMemory) {
        this.limitsMemory = limitsMemory;
    }
}
